@import '../../../../assets/theme/variables.scss';

.header {
    position: relative;
    // padding: 10px 40px;

    li {
        list-style: none;
    }

    .container {
        width: 100%;
        max-width: 1280px;
        margin: auto;
        display: flex;
        justify-content: right;
        position: relative;

        // &.not_dark {
        //     background-color: #ffffff;

        //     .dark-more {
        //         background-color: #ebebeb;
        //     }

        //     .menu-small-screen {
        //         background-color: #fff;
        //     }

        //     ul.nav {
        //         .icon-menu-reponsive {
        //             filter: brightness(0);
        //         }

        //         .nav-logo {
        //             .logo {
        //                 color: #182029;

        //                 .img_name {
        //                     filter: brightness(0);
        //                 }
        //             }
        //         }

        //         li.nav-bar {
        //             &.active {
        //                 opacity: .8;

        //                 span {
        //                     color: unset !important;
        //                 }
        //             }

        //             .nav-item {
        //                 color: #182029;

        //             }
        //         }
        //     }
        // }

        // --Start Code CSS responsive
        .menu-small-screen {
            background-color: #232E3B;
            position: fixed;
            padding-top: 15px;
            top: 70px;
            // top: 0px;
            left: 0px;
            overflow-x: hidden;
            overflow-y: auto;
            width: 0px;
            z-index: 9999;
            // background-color: #fff;
            // border-top-right-radius: 10px;
            // border-bottom-right-radius: 10px;
            -webkit-transition: width .2s ease;
            transition: width .2s ease;


            &::-webkit-scrollbar {
                width: 5px;
            }

            &::-webkit-scrollbar-thumb {
                background-color: #46abdd;
                border-radius: 10px;
            }

            &::-webkit-scrollbar-corner {
                background: rgba(0, 0, 0, 0.5);
            }

            .close-menu {
                text-align: right;
                padding: 8px 16px;

                svg {
                    width: 24px;
                    height: 24px;
                }
            }

            .menu-container {
                padding: 10px;
                padding-left: 16px;

                a {
                    // color: rgba(255, 255, 255, 0.6);

                    &.active {
                        color: #fff;
                    }
                }

                &.token-price {
                    padding-left: 15px;

                    a {
                        display: flex;
                        column-gap: 10px;
                        align-items: center;
                    }
                }
            }

            &.show-menu {
                width: 240px;
                min-width: 240px;
            }

            // &:not(.show-menu) {
            //     visibility: hidden;
            // }
        }

        // --End Code CSS responsive

        ul.nav {
            // position: absolute;
            // top: 0;
            // left: 0;

            .nav-logo {
                

                // padding-right: 64px;
                .text-header {
                    font-family: 'Inter';
                    font-style: normal;
                    font-weight: 400;
                    font-size: 30px;
                    line-height: 55px;
                    color: #FFFFFF;
                    padding-top: 16px;
                    padding-left: 39px;
                }

                .logo {

                    // img {
                    //     // width: auto;
                    //     // height: 60px;
                    //     object-fit: contain;
                    //     margin-right: 16px;
                    // }

                    // font-size: 20px;
                    // line-height: 28px;
                    // color: #fff;
                    // font-family: "Inter";
                    // font-weight: bold;
                }
            }


        }

        .right {
            position: relative;
            // top: 0;
            // right: 0;
            display: flex;
            align-items: center;
            padding: 26px;

            .image-pss {
                max-width: 933px;
                position: absolute;
                top: 100%;
                right: 0;
                z-index: 999;
                // background: #041B9A;


                img {
                    background: #041B9A;
                    fill-opacity: 0.32;
                }

                span {
                    position: absolute;
                    top: 80px;
                    left: -180px;
                    font-family: 'Inter';
                    font-style: normal;
                    font-weight: 400;
                    font-size: 30px;
                    line-height: 55px;
                    color: #FFFFFF;
                }
            }

            .list-nav {
                display: flex;

                .nav-bar {
                    .nav-item {
                        padding-right: 26px;
                        font-family: 'Inter';
                        font-style: normal;
                        font-weight: 400;
                        font-size: 16px;
                        line-height: 19px;
                        color: #000000;
                    }
                }

                // .active {
                //     span {
                //         color: #fff !important;
                //     }

                //     .line-bottom {
                //         position: absolute;
                //         bottom: -8px;
                //         // left: calc(50%);
                //         // right: 0;
                //         width: 20px;
                //         height: 4px;
                //         background-color: #0469E3;
                //         border-radius: 2px;
                //     }
                // }
            }

            .btn-header {
                display: flex;
                align-items: center;
                justify-content: center;
                box-sizing: border-box;
                // position: absolute;
                width: 133px;
                height: 42px;
                left: 1120px;
                top: 26px;
                background: linear-gradient(270deg, #F87D34 0%, #EDB841 92.59%);
                border-radius: 38px;

                a {
                    text-decoration: none;

                    span {
                        font-family: 'Kanit-Extra';
                        font-style: italic;
                        font-weight: 700;
                        font-size: 20px;
                        line-height: 30px;
                        color: #FFFFFF;
                        text-shadow: 0px 0px 4px #CE57C9;
                    }
                }
            }

            li.nav-bar {
                list-style-type: none;
                cursor: pointer;

                .nav-item {
                    font-size: 16px;
                    font-family: "Inter";
                    text-decoration: none;
                    color: #000;
                    font-weight: bold;
                    display: flex;
                    align-items: center;
                    // padding: 0px 8px;
                    // text-transform: uppercase;

                    .text {
                        padding-left: 5px;
                        font-weight: bold;
                    }

                    .text-right {
                        padding-right: 5px;
                    }
                }

            }
        }

        // .dark-more {
        //     display: flex;
        //     align-items: center;
        //     justify-content: center;
        //     border-radius: 20px;
        //     background-color: #182029;
        //     padding: 8px;
        //     margin-left: 64px;

        //     li {
        //         padding: 4px 8px;
        //         cursor: pointer;

        //         img {
        //             width: 16px;
        //             height: 16px;
        //         }
        //     }

        //     .active {
        //         background-color: #fff;
        //         border-radius: 16px;
        //         width: 40px;
        //         display: flex;
        //         align-items: center;
        //         justify-content: center;

        //         img {
        //             filter: brightness(0);
        //         }
        //     }
        // }
    }
}

/* Extra small devices (phones, 600px and down) */

@media (max-width: 1360px) {
    .header {
        padding: 10px 30px;
    }
}

@media (max-width: 1200px) {
    .header {
        padding: 10px 30px;

        .right {
            .dark-more {
                display: none;
            }
        }
    }
}

@media (max-width: 992px) {
    .header {
        position: fixed;
        width: 100%;
        z-index: 9999;
        font-size: 14px;
        padding: 10px 30px;

        .menu-small-screen {
            // top: 80px;
        }

        ul.nav {
            padding: 0px;

            .nav-logo {
                margin-left: 24px;
            }

            li.nav-bar {
                display: block;
                padding: 0px !important;
                margin-left: 5px;

                &:not(.connect-wallet) {
                    padding-right: 0 !important;
                }

                &.fauce {
                    display: none;
                }

                &.fanstream,
                &.fanswap,
                &.fantom-icon,
                &.fantom-live-icon {
                    display: none;
                }

                &.language {
                    margin-left: auto;
                }

                a.nav-item {
                    &.logo {
                        padding-right: 0px !important;
                    }

                    &.btn-conn-wallet {
                        padding: 5px !important;
                    }
                }
            }
        }

        .right {
            .list-nav {
                display: none;
            }

            .swap {
                width: 14rem;
                height: 3.2rem;
                font-size: 1.4rem;
            }
        }
    }
}

@media only screen and (max-width: 768px) {
    .header .container .right {
        padding: 0;
        .list-nav {
            display: none;
        }
    }
    .header {
        font-size: 14px;
        padding: 14px;
        background-color: #fff;
        .container{
            justify-content: space-between;
            align-items: center;
        }

        .menu-small-screen {
            // top: 60px;
        }

        ul.nav {
            padding: 0px;

            .nav-logo {
                .logo {
                    font-size: 14px;

                    >span {
                        display: none;
                    }

                    >img {
                        width: auto;
                        height: 30px;
                    }

                    .img_name {
                        // display: none;
                    }
                }
            }

            .nav-bar {
                padding-left: 0px !important;
                padding: 0px;

                &.fauce {
                    display: none;
                }

                &.fanstream,
                &.fanswap,
                &.fantom-icon,
                &.fantom-live-icon {
                    display: none;
                }

                &.language {
                    margin-left: auto;
                }

                a.nav-item {
                    &.logo {
                        padding-right: 0px !important;
                    }

                    &.btn-conn-wallet {
                        padding: 5px !important;
                    }
                }
            }
        }

        .right {
            .list-nav {
                display: none;
            }

            #pitchdeck {
                display: none;
            }

            .swap {
                width: 14rem;
                height: 3.2rem;
                font-size: 1.4rem;
            }
        }
    }
}

@media only screen and (max-width: 500px) {
    .header .container .right {
        padding: 0;
        .list-nav .nav-bar .nav-item {
            font-size: 10px;
        }
        .btn-header{

        }
    }
    .header {
        font-size: 14px;
        padding: 14px;

        .menu-small-screen {
            // top: 60px;
        }

        ul.nav {
            padding: 0px;

            .nav-logo {
                .logo {
                    font-size: 14px;

                    >span {
                        display: none;
                    }

                    >img {
                        width: auto;
                        height: 30px;
                    }

                    .img_name {
                        // display: none;
                    }
                }
            }

            .nav-bar {
                padding-left: 0px !important;
                padding: 0px;

                &.fauce {
                    display: none;
                }

                &.fanstream,
                &.fanswap,
                &.fantom-icon,
                &.fantom-live-icon {
                    display: none;
                }

                &.language {
                    margin-left: auto;
                }

                a.nav-item {
                    &.logo {
                        padding-right: 0px !important;
                    }

                    &.btn-conn-wallet {
                        padding: 5px !important;
                    }
                }
            }
        }

        .right {
            .list-nav {
                display: none;
            }

            #pitchdeck {
                display: none;
            }

            .swap {
                width: 14rem;
                height: 3.2rem;
                font-size: 1.4rem;
            }
        }
    }
}

// /* Small devices (portrait tablets and large phones, 600px and up) */
// @media only screen and (min-width: 600px) and (max-width: 768px) {
//     .header {
//         ul.nav {
//             .nav-bar {

//                 &.fanstream,
//                 &.fanswap,
//                 &.fantom-icon,
//                 &.fantom-live-icon {
//                     display: none;
//                 }

//                 &.language {
//                     margin-left: auto;
//                 }
//             }
//         }
//     }
// }

// /* Medium devices (landscape tablets, 768px and up) */
@media only screen and (min-width: 768px) and (max-width: 992px) {
    .header {
        ul.nav {
            .nav-bar {

                &.fanstream,
                &.fanswap {
                    display: none;
                }
            }
        }
    }
    
}

/* Large devices (laptops/desktops, 992px and up) */
@media only screen and (min-width: 992px) {
    .header {
        ul.nav {
            li.nav-bar {
                &.icon-menu-reponsive {
                    display: none !important;
                }
            }
        }
    }
}

/* Extra large devices (large laptops and desktops, 1200px and up) */
@media only screen and (min-width: 1200px) {}